#ifndef XCOMWORLD_H
#define XCOMWORLD_H

#include "xasset.h"
#include "xstring.h"
#include "xcomprimarylight.h"

#include <QColor>
#include <QVector3D>

class ComWorld : public XAsset
{
public:
    explicit ComWorld();

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

    QString GetName() const;
    bool IsInUse() const;
    quint32 GetPrimaryLightCount() const;
    XComPrimaryLight* GetPrimaryLight(quint32 aIndex) const;
    XComPrimaryLightArray* GetPrimaryLights() const;

public slots:
    void SetName(const QString &aName);
    void SetName(XString* aName);
    void SetInUse(bool aInUse);

private:
    XString*              mName;
    bool                  mInUse;
    quint32               mPrimaryLightCount;
    XComPrimaryLightArray* mPrimaryLights;
};

#endif // XCOMWORLD_H
